// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      throw UnsupportedError(
        'DefaultFirebaseOptions have not been configured for web - '
        'you can reconfigure this by running the FlutterFire CLI again.',
      );
    }
    // ignore: missing_enum_constant_in_switch
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for macos - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
    }

    throw UnsupportedError(
      'DefaultFirebaseOptions are not supported for this platform.',
    );
  }

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyDsgLz0C4y2pW7iQolAmAaIL-cO6NBGHdQ',
    appId: '1:919541827429:android:5a6290d136de452289438c',
    messagingSenderId: '919541827429',
    projectId: 'sonibble-cawis',
    storageBucket: 'sonibble-cawis.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyDwNQqu0pIrtpn1MNiB_Tvsp1AUO8dryx8',
    appId: '1:919541827429:ios:c17855a36e4a383289438c',
    messagingSenderId: '919541827429',
    projectId: 'sonibble-cawis',
    storageBucket: 'sonibble-cawis.appspot.com',
    iosClientId: '919541827429-bq2sbj70gbkgtnopifi904bqk0dvvk70.apps.googleusercontent.com',
    iosBundleId: 'com.sonibble.cawis',
  );
}
